summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author ilmich <ardutu@gmail.com>2020-10-20 16:07:46 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-10-24 08:14:50 +0700
commit28b87d2b95e7dd2114a1e52fe9ee08f485acfadd (patch)
tree1f23fdda9282b5b0141419401924b5039de9b124 /games
parentb23de4e3d967aed45109d0d4019a7bc124a53ea7 (diff)
downloadslackbuilds-28b87d2b95e7dd2114a1e52fe9ee08f485acfadd.tar.gz
slackbuilds-28b87d2b95e7dd2114a1e52fe9ee08f485acfadd.tar.xz
games/QuickNES-Core: Added (fast NES libretro core)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/QuickNES-Core/QuickNES-Core.SlackBuild82
-rw-r--r--games/QuickNES-Core/QuickNES-Core.info10
-rw-r--r--games/QuickNES-Core/README8
-rw-r--r--games/QuickNES-Core/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/games/QuickNES-Core/QuickNES-Core.SlackBuild b/games/QuickNES-Core/QuickNES-Core.SlackBuild
new file mode 100644
index 0000000000..078b9e7565
--- /dev/null
+++ b/games/QuickNES-Core/QuickNES-Core.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for QuickNES-Core
+
+# Copyright 2020 ilmich < ardutu at gmail dot com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=QuickNES-Core
+LIBNAM=quicknes_libretro
+VERSION=${VERSION:-2020.10.11.81fedf7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+LIBDIRSUFFIX=
+[ "$ARCH" = x86_64 ] && LIBDIRSUFFIX=64
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+
+make -f Makefile DEBUG=$DEBUG
+
+install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ $DEBUG = 0 ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/QuickNES-Core/QuickNES-Core.info b/games/QuickNES-Core/QuickNES-Core.info
new file mode 100644
index 0000000000..acd199cfed
--- /dev/null
+++ b/games/QuickNES-Core/QuickNES-Core.info
@@ -0,0 +1,10 @@
+PRGNAM="QuickNES-Core"
+VERSION="2020.10.11.81fedf7"
+HOMEPAGE="https://www.libretro.com/"
+DOWNLOAD="https://ilmich.github.io/src/QuickNES-Core-2020.10.11.81fedf7.tar.xz"
+MD5SUM="818dd86fa2555a73c84cd6282c772eca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="ilmich"
+EMAIL="ardutu@gmail.com"
diff --git a/games/QuickNES-Core/README b/games/QuickNES-Core/README
new file mode 100644
index 0000000000..2b3110d1ae
--- /dev/null
+++ b/games/QuickNES-Core/README
@@ -0,0 +1,8 @@
+QuickNES is the fastest NES emulator available via libretro,
+though this speed comes at the cost of some accuracy.
+
+This core should be used only when performance is of the
+utmost concern and even FCEUmm is too demanding.
+
+To build the debugging symbols use:
+ DEBUG=1 QuickNES-Core.SlackBuild
diff --git a/games/QuickNES-Core/slack-desc b/games/QuickNES-Core/slack-desc
new file mode 100644
index 0000000000..4a4c88a18d
--- /dev/null
+++ b/games/QuickNES-Core/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+QuickNES-Core: QuickNES-Core (fast NES libretro core)
+QuickNES-Core:
+QuickNES-Core: QuickNES is the fastest NES emulator available via libretro,
+QuickNES-Core: though this speed comes at the cost of some accuracy. This core
+QuickNES-Core: should be used only when performance is of the utmost concern and
+QuickNES-Core: even FCEUmm is too demanding
+QuickNES-Core:
+QuickNES-Core:
+QuickNES-Core: Homepage: https://www.libretro.com/
+QuickNES-Core:
+QuickNES-Core: